This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1311893 - (CVE-2016-2110) CVE-2016-2110 samba: Man-in-the-middle attacks possible with NTLMSSP authentication
CVE-2016-2110 samba: Man-in-the-middle attacks possible with NTLMSSP authenti...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160412,repor...
: Security
Depends On: 1322684 1322686 1322687 1322688 1322689 1322690 1322691 1322692 1324800 1324801 1324802 1324803 1324804 1324805 1324806 1324807 1325382 1325383 1325384 1325385 1325645 1325649 1325650 1325651 1325832 1325838 1326453
Blocks: 1311915
  Show dependency treegraph
 
Reported: 2016-02-25 04:49 EST by Adam Mariš
Modified: 2016-04-19 01:28 EDT (History)
18 users (show)

See Also:
Fixed In Version: samba 4.4.1, samba 4.3.7, samba 4.2.10
Doc Type: Bug Fix
Doc Text:
Several flaws were found in Samba's implementation of NTLMSSP authentication. An unauthenticated, man-in-the-middle attacker could use this flaw to clear the encryption and integrity flags of a connection, causing data to be transmitted in plain text. The attacker could also force the client or server into sending data in plain text even if encryption was explicitly requested for that connection.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 01:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-25 04:49:59 EST
Several flaws were found in Samba's NTLMSSP authentication. An unauthenticated, man-in-the-middle attacker could use this flaw to clear encryption and integrity flags  causing data to be transmitted as plain text, hereby causing a protocol downgrade. The attacker could also mislead the client or server into sending data in plain text, even if encryption explicitly is requested.

LDAP (with NTLMSSP authentication) is used as a client by various administrative Samba-project tools (for example, "net", "samba-tool", "ldbsearch", or "ldbedit"). 

This flaw affects all possible roles in which Samba can operate, and is related to CVE-2016-2112 and CVE-2016-2113.

All uses cases and Samba versions affected.
Comment 9 Huzaifa S. Sidhpurwala 2016-04-11 01:24:37 EDT
Acknowledgements:

Name: the Samba project
Upstream: Stefan Metzmacher (SerNet)
Comment 10 Huzaifa S. Sidhpurwala 2016-04-11 01:44:59 EDT
External Reference:

https://access.redhat.com/articles/2243351
Comment 13 Huzaifa S. Sidhpurwala 2016-04-12 13:09:20 EDT
Public via:

https://www.samba.org/samba/security/CVE-2016-2110.html
Comment 14 Siddharth Sharma 2016-04-12 13:28:10 EDT
Created samba tracking bugs for this issue:

Affects: fedora-all [bug 1326453]
Comment 15 errata-xmlrpc 2016-04-12 13:38:45 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0613 https://rhn.redhat.com/errata/RHSA-2016-0613.html
Comment 16 errata-xmlrpc 2016-04-12 13:39:48 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0621 https://rhn.redhat.com/errata/RHSA-2016-0621.html
Comment 17 errata-xmlrpc 2016-04-12 15:16:31 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.6 Long Life
  Red Hat Enterprise Linux 5.9 Long Life

Via RHSA-2016:0624 https://rhn.redhat.com/errata/RHSA-2016-0624.html
Comment 18 errata-xmlrpc 2016-04-12 15:17:53 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.6 Long Life
  Red Hat Enterprise Linux 5.9 Long Life

Via RHSA-2016:0623 https://rhn.redhat.com/errata/RHSA-2016-0623.html
Comment 19 errata-xmlrpc 2016-04-12 15:33:49 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.2 Advanced Update Support
  Red Hat Enterprise Linux 6.6 Extended Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support

Via RHSA-2016:0619 https://rhn.redhat.com/errata/RHSA-2016-0619.html
Comment 20 errata-xmlrpc 2016-04-12 17:21:01 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 4 Extended Lifecycle Support

Via RHSA-2016:0625 https://rhn.redhat.com/errata/RHSA-2016-0625.html
Comment 21 errata-xmlrpc 2016-04-12 17:24:21 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 Extended Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support
  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.2 Advanced Update Support

Via RHSA-2016:0620 https://rhn.redhat.com/errata/RHSA-2016-0620.html
Comment 22 errata-xmlrpc 2016-04-12 17:39:27 EDT
This issue has been addressed in the following products:

  Red Hat Gluster Storage 3.1 for RHEL 7
  Red Hat Gluster Storage 3.1 for RHEL 6

Via RHSA-2016:0614 https://rhn.redhat.com/errata/RHSA-2016-0614.html
Comment 23 errata-xmlrpc 2016-04-12 21:07:06 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:0612 https://rhn.redhat.com/errata/RHSA-2016-0612.html
Comment 24 errata-xmlrpc 2016-04-12 21:26:39 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.1 Extended Update Support

Via RHSA-2016:0618 https://rhn.redhat.com/errata/RHSA-2016-0618.html
Comment 25 Fedora Update System 2016-04-13 16:21:11 EDT
samba-4.3.8-0.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2016-04-14 00:20:55 EDT
samba-4.2.11-0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-04-14 23:16:42 EDT
samba-4.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.